<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package newscope
 */

get_header();
?>
    <?php
        /**
        * Hook - newscope_action_before_front_page.
        *
        * @hooked newscope_front_page_start
        */
        do_action( 'newscope_action_before_front_page' );  
    
        
        /**
        * Hook - front_what_a_news_section_action.
        */
        if( true === get_theme_mod( 'enable_news_what_a_news', true ) ){
            do_action( 'front_what_a_news_section_action');
        } 
        
        
        /**
        * Hook - front_latest_news_section_action.
        */
        if( true === get_theme_mod( 'enable_latest_news_section', true ) ){
            do_action( 'front_latest_news_section_action');
        }



        if( true === get_theme_mod( 'enable_news_featured', true ) ){
            /**
            * Hook - front_featured_post_section_hook.
            */
            do_action( 'front_featured_post_section_action');
        }
        
        if( true === get_theme_mod( 'enable_weekend_top_news', true ) ){
            /**
            * Hook - front_weekend_top_section_action.
            */
            do_action( 'front_weekend_top_section_action');
        }

        if( true === get_theme_mod( 'enable_sories_post', true ) ){
            /**
            * Hook - front_stories_section_action.
            */
            do_action( 'front_stories_section_action');
        }
        
        
        if( true === get_theme_mod( 'enable_most_popular_news_section', true ) ){
            /**
            * Hook - front_most_popular_news_section_action.
            */
            do_action( 'front_most_popular_news_section_action');
        }
        
        if( true === get_theme_mod( 'enable_tranding_post_section', true ) ){
            /**
            * Hook - front_tranding_post_section_action.
            */
            do_action( 'front_tranding_post_section_action');
        }
        
        if( true === get_theme_mod( 'enable_category_section', true ) ){
            /**
            * Hook - front_category_section_action.
            */
            do_action( 'front_category_section_action');
        }
        if( true === get_theme_mod( 'enable_instagram_section', true ) ){
            /**
            * Hook - front_instagram_section_action.
            */
            do_action( 'front_instagram_section_action');
        }


        /**
        * Hook - newscope_action_after_front_page.
        *
        * @hooked newscope_front_page_end
        */
        do_action( 'newscope_action_after_front_page' );
    ?>
<?php
get_footer();